<%@ page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<c:if test="${empty student||empty param.sizeId}">
  <jsp:forward page="studentWelcome.jsp"/>
</c:if>
<jsp:useBean id="student" class="pizza.presentation.web.StudentBean" scope="session"/>
<c:set target="${student}" property="roomNo" value="${param.room}"/>
<c:set target="${student}" property="sizeId" value="${param.sizeId}"/>
<c:forEach items="${paramValues.toppings}" var="top">
  <c:set target="${student}" property="toppingId" value="${top}"/>
</c:forEach>
<html>
  <head>
    <title>Result of making an order for pizza</title>
  </head>
  <body>
    <br>
    Make the order: <%=student.makeOrder()%><br/><br/>
    <c:url var="studentWelcomeURL" value="studentWelcome.jsp"/>
    <A HREF="${studentWelcomeURL}"> Back to Student Page</A> 
  </body>
</html>
