<%@ page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!-- create a bean or look it up -->
<jsp:useBean id="student" class="pizza.presentation.web.StudentBean" scope="session" />
<html>
<head>
<title>Welcome to Pizza Order Shop</title>
</head>

<body>

<!--  adopt any newly-set room no -->
<c:if test="${!empty param.room}">
<c:set target="${student}" property="roomNo" value="${param.room}"/>
</c:if>

<H1>Welcome to the Pizza Shop System!</H1>
<H2>Please select a Service:</H2>
<UL>

	<c:if test="${student.roomNo != 0}">
		Your Room Number now is: ${student.roomNo}<br/>
	</c:if>
	<!-- if no room no. set, go to room no form on way to status page -->
   <c:url var="statusNextPageURL" value = "${student.roomNo > 0? 'orderStatus.jsp':'roomForm.jsp'}">
   	<c:param name="wantStatus" value="true"/>
   </c:url>

	<!-- Define relative links for various cases: 
		c:url handles URL rewriting if needed to maintain session -->
	<c:url value="roomForm.jsp" var="roomFormURL"/>
	<c:url value="orderForm.jsp" var="orderFormURL"/>
	<c:url value="decideStatus.jsp" var="decideStatusURL"/>
	<c:url value="roomForm.jsp" var="roomFormURL" />
	
	<LI><A href="${roomFormURL}"> Change Room Number </a>
	<LI><A HREF="${orderFormURL}"> Make an order</A> 
	<LI><A HREF="${statusNextPageURL}"> Check the status of an order</A>
	<br><br>
	<LI><A HREF="welcome.html"> Back to Site Homepage</A>
</UL>

</body>
</html>
