
<%@ page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<c:if test="${empty student}">
	<jsp:forward page="studentWelcome.jsp" />
</c:if>

<html>
	<head>
		<title>Room Number Form</title>
	</head>

	<body>
		<!-- consult wantStatus param to see if the user selected order-status link -->
		<c:url var="nextPageURL" value="${empty param.wantStatus? 'studentWelcome.jsp':'orderStatus.jsp'}"/>
		<form method="get" action="${nextPageURL}">
			Room for pizza deliveries:
			<select name="room">
				<c:forEach begin="1" end="${student.maxRoomNo}" step="1" var="i">
					<option value="${i}"> ${i}
				</c:forEach>
			</select>
			<br>
			<input type="submit" value="Set room number">
		</form>
	</body>
</html>
